Query Return Line Items
curl --request GET \
--url https://api.jtl-cloud.com/erp/returns/{returnId}/lineitems \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/returns/{returnId}/lineitems"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/returns/{returnId}/lineitems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"ReturnId": 123,
"StateId": 123,
"ItemId": 123,
"Name": "Awesome Binoculars",
"SKU": "ART2394871",
"Quantity": 2,
"ReturnReasonId": 123,
"ConditionId": 123,
"ConditionComment": "broken",
"SalesOrderId": 123,
"SalesOrderLineItemId": 123,
"DeliveryNoteLineItemId": 123,
"ReturnReasonComment": "too small"
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}return
Query Return Line Items
Query all line items for a specific return
GET
/
returns
/
{returnId}
/
lineitems
Query Return Line Items
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Response
The requested line items.
Name of the position.
Example:
"Awesome Binoculars"
SKU of the line item.
Example:
"ART2394871"
The quantity of the line item.
Example:
2
The comment corresponding to the return line item condition.
Example:
"broken"
The comment corresponding to the return line item reason.
Example:
"too small"
Was this page helpful?